Class | WSDL::SOAP::MappingRegistryCreator
In: | wsdl/soap/mappingRegistryCreator.rb
Parent: | Object

### Methods

dump new

### Included Modules

ClassDefCreatorSupport

### Attributes

definitions | [R] |

### Public Class methods

new(definitions)

[Source]

    # File wsdl/soap/mappingRegistryCreator.rb, line 22
      def initialize(definitions)
        @definitions = definitions
        @complextypes = @definitions.collect_complextypes
        @types = nil
      end

### Public Instance methods

dump(types)

[Source]

    # File wsdl/soap/mappingRegistryCreator.rb, line 28
      def dump(types)
        @types = types
        map_cache = []
        map = ""
        @types.each do |type|
          if map_cache.index(type).nil?
            map_cache << type
            if type.namespace != XSD::Namespace
              if typemap = dump_typemap(type)
                map << typemap
              end
            end
          end
       end
        return map
      end

[Validate]